* {
	margin: 0;
	padding: 0;
}

html {
	width: 100%;
	height: 100%;
}

body {
	width: 100%;
	height: 100%;
	font-size: 30px;
	color: #fff2e1;
	background-color: #3658c4;
	background: linear-gradient(to bottom right, #333c73, #285fa0, #2b96ba) fixed;
	background-repeat: no-repeat;
}

img {
	user-select: none;
}

@font-face {
	font-family: pollerOne;
	src: url('/assets/fonts/pollerone-min.ttf');
}

@font-face {
	font-family: cabin; 
	src: url('/assets/fonts/Cabin-Regular.ttf');
}

@font-face {
	font-family: merriweather;
	src: url('/assets/fonts/Merriweather-Light.ttf');
}

@font-face {
	font-family: merriBold;
	src: url('/assets/fonts/Merriweather-Regular.ttf');
}

@font-face {
	font-family: inconsolata;
	src: url('../assets/fonts/Inconsolata-Regular.ttf');
}

strong {
	font-family: merriBold;
}


header {
	width: 100%;
	display: flex;
	justify-content: space-around;
	align-items: center;
	text-shadow: 2px 2px #333333;
	padding-bottom: 1.5rem;
	padding-top: 1.5rem;
}

#home {
	font-size: 2.2rem;
	display: inline-block;
	text-decoration: none;
	color: #fff2e1;
	font-family: pollerOne, Georgia, serif;
	border-bottom: 5px solid transparent;
}

#home:after {
	display: block;
	width: 100%;
	content: "";
	border-bottom: solid 5px #c4e0e1;
	transform: scaleY(0);
	transition: transform 250ms ease-in-out;
}

#home:hover:after {
	transform: scaleY(1);
}

nav {
	padding-top: 1rem;
	display: flex;
	justify-content: space-between;
	align-items: flex-end;
	font-family: cabin, Helvetica, sans-serif;
}

nav a {
	display: inline-block;
	margin-left: 1.5rem;
	margin-right: 1.5rem;
	text-decoration: none;
	color: #fff2e1;
	font-size: 1.5rem;
	border-bottom: 5px solid transparent;
}

nav a:after {
	display: block;
	width: 100%;
	content: "";
	border-bottom: solid 5px #c4e0e1;
	transform: scaleY(0);
	transition: transform 250ms ease-in-out;	
}

nav a:hover:after {
	transform: scaleY(1);
}

.main-body {
	width: 800px;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	margin-top: 5rem;
	text-shadow: 2px 2px #333333;
}

.title {
	margin-top: 20px;
	font-size: 3rem;
	font-family: cabin, Helvetica, sans-serif;
	font-weight: bold;
  margin-bottom: 3rem;	
	text-decoration: none;
	color: #fff2e1;
	border-bottom: 5px solid transparent;
	display: inline-block;
}

.title:after {
	display: block;
	width: 100%;
	content: "";
	border-bottom: solid 6px #c4e0e1;
	transform: scaleY(0);
	transition: transform 250ms ease-in-out;
}

.title:hover:after {
	transform: scaleY(1);
}

.article-list {
	text-align: center;
	margin-top: 20px;
}

.article {
	margin-bottom: .5rem;
	padding: 1rem;
	padding-left: 5rem;
	padding-right: 5rem;
/*	border-bottom: 2px solid transparent;
	border-image: linear-gradient(to right, #3658c4, #333333, #3658c4);
	border-image-slice: 1; */
}

.article a {
	font-size: 2.25rem;
	text-decoration: none;
	font-family: cabin, Helvetica, sans-serif;
	font-weight: bold;
	color: #fff2e1; 
	text-shadow: 2px 2px #333333;
}

.article a:hover {
	color: #c4e0e1;
}

.article h3 {
	margin-top: 5px;
	font-size: 1.25rem;
	font-family: merriweather, Arial, sans-serif;
	color: #fff2e1;
}

.article-detail {
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
}

.article-title {
	font-size: 3rem;
	font-family: cabin, Helvetica, sans-serif;
	margin-bottom: 1rem;
}

.article-sub {
	font-size: 1.5rem;
	font-family: merriweather, Helvetica, sans-serif;
	margin-bottom: 1rem;
	color: #c3c2c1;
}

.article-date {
	font-size: 1.5rem;
	font-family: merriweather, Helvetica, sans-serif;
	margin-bottom: 4rem;
}

.article-content {
	display: inline-block;
	font-size: 1.15rem;
	font-family: merriweather, Arial, sans-serif;
	overflow-wrap: break-word;
	word-wrap: break-word;
	word-break: break-word;
	line-break: strict;
	hypens: auto;
	margin-bottom: 2rem;
	line-height: 1.8;
}

.article-content a {
	text-decoration: none;
	color: #fff2e1;
	border-bottom: 2px solid #c4e0e1;
}

.article-content a:hover {
	background-color: #454545;
	color: #c4e0e1;
}

code {
	width: 90%;
	padding: 1rem;
	display: block;
	background-color: #454545;
	color: #9ef990; 
	font-family: inconsolata;
}

.error {
	color: #f95977;
}

.about-me {
	display: flex;
	width: 100%;
	height: 100%;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	margin: 1rem 2rem;
}

.about-me p {
	font-size: 1.5rem;
	font-family: merriBold;
	line-height: 1.5;
}

.clouds-nav {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%,-50%);
	z-index: 5;
	text-align: center;
}

.clouds-link {
	color: #ffffff;
	font-family: cabin;
	font-size: 35px;
	text-decoration: none;
	text-shadow: 2px 2px 5px #454545;
	display: inline-block;
	margin: 10px 0px;
	border-bottom: 5px solid transparent;
}

.clouds-link:after {
	display: block; 	
	width: 100%; 	
	content: ""; 	
	border-bottom: solid 5px #D6FAFF; 	
	transform: scaleY(0); 	
	transition: transform 250ms ease-in-out;
}

.clouds-link:hover:after {
	transform: scaleY(1);
}

@media all and (max-width: 1000px) {
	header {
		flex-direction: column;
	}	
	#home {
		margin-bottom: 2rem;
	}
	.main-body {
		width: 600px;
	}
}

@media all and (max-width: 600px) {
	html {
		font-size: 15px;
	}
	nav {
		flex-direction: column;
		align-items: center;
	}
	nav a {
		font-size: 2rem;
		margin-left: 0;
		margin-right: 0;
		margin-top: 2rem;
	}
	#home {
		margin-bottom: 1.25rem;
	}
	.main-body {
		width: 450px;
	}
	.title {
		font-size: 3rem;
	}
	.article a {
		font-size: 1.75rem;
	}
	.article-title {
		text-align: center;
	}
	.article-sub {
		text-align: center;
	}
	.about-me p {
		font-size: 1.5rem;
	}
}

@media all and (max-width: 400px) {
	.main-body {
		width: 90%;
	}
	#home {
		text-align: center;
	}
	.title {
		text-align: center;
	}
	.article-title {
		text-align: center;
	}
	.article-sub {
		text-align: center;
	}
	code {
		font-size: 1rem;
		width: 90%;
	}
	.about-me p {
		font-size: 1.2rem;
	}
}
